Bug 185662 - [patch] devel/cmake does not respect unset=DOCS
Summary: [patch] devel/cmake does not respect unset=DOCS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-11 17:10 UTC by Adam Weinberger
Modified: 2014-03-04 01:00 UTC (History)
0 users

See Also:


Attachments
cmake-portdocs.patch (3.33 KB, patch)
2014-01-11 17:10 UTC, Adam Weinberger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Weinberger freebsd_committer 2014-01-11 17:10:01 UTC
cmake forces docs installation even when explicitly unset by the user. It does
install a fairly large amount of documentation, so it'd be nice to be able to
prevent this.

Simply adding %%PORTDOCS%% in front of the applicable pkg-plist entries would
solve this.
Comment 1 Edwin Groothuis freebsd_committer 2014-01-11 17:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 adamw 2014-03-03 17:18:25 UTC
Guys, any response on this? It's been 6 weeks with no response, and it's 
a pretty trivial change. I'll commit this later today unless I hear 
otherwise from the team.

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185662

# Adam


--
Adam Weinberger
adamw@adamw.org
http://www.adamw.org
Comment 3 dfilter service freebsd_committer 2014-03-04 00:51:38 UTC
Author: adamw
Date: Tue Mar  4 00:51:30 2014
New Revision: 346983
URL: http://svnweb.freebsd.org/changeset/ports/346983
QAT: https://qat.redports.org/buildarchive/r346983/

Log:
  Add %%PORTDOCS%% to the plist, to honour UNSET=DOCS.
  PORTREVISION bump for the changed plist.
  
  PR:		ports/185662
  Approved by:	maintainer timeout (> 6 weeks)

Modified:
  head/devel/cmake/Makefile
  head/devel/cmake/pkg-plist

Modified: head/devel/cmake/Makefile
==============================================================================
--- head/devel/cmake/Makefile	Tue Mar  4 00:48:17 2014	(r346982)
+++ head/devel/cmake/Makefile	Tue Mar  4 00:51:30 2014	(r346983)
@@ -3,6 +3,7 @@
 
 PORTNAME=	cmake
 PORTVERSION=	2.8.12.1
+PORTREVISION?=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://downloads.cmake.org/files/v2.8/
 

Modified: head/devel/cmake/pkg-plist
==============================================================================
--- head/devel/cmake/pkg-plist	Tue Mar  4 00:48:17 2014	(r346982)
+++ head/devel/cmake/pkg-plist	Tue Mar  4 00:51:30 2014	(r346983)
@@ -21,45 +21,45 @@ share/aclocal/cmake.m4
 %%DATADIR%%/editors/vim/cmake-indent.vim
 %%DATADIR%%/editors/vim/cmake-syntax.vim
 %%DATADIR%%/include/cmCPluginAPI.h
-%%DOCSDIR%%/Copyright.txt
-%%DOCSDIR%%/ccmake.docbook
-%%DOCSDIR%%/ccmake.html
-%%DOCSDIR%%/ccmake.txt
-%%DOCSDIR%%/cmake-commands.html
-%%DOCSDIR%%/cmake-commands.txt
-%%DOCSDIR%%/cmake-compatcommands.html
-%%DOCSDIR%%/cmake-compatcommands.txt
-%%DOCSDIR%%/cmake-modules.html
-%%DOCSDIR%%/cmake-modules.txt
-%%DOCSDIR%%/cmake-policies.html
-%%DOCSDIR%%/cmake-policies.txt
-%%DOCSDIR%%/cmake-properties.html
-%%DOCSDIR%%/cmake-properties.txt
-%%DOCSDIR%%/cmake-variables.html
-%%DOCSDIR%%/cmake-variables.txt
-%%DOCSDIR%%/cmake.docbook
-%%DOCSDIR%%/cmake.html
-%%DOCSDIR%%/cmake.txt
-%%DOCSDIR%%/cmcompress/Copyright.txt
-%%DOCSDIR%%/cmcurl/COPYING
-%%DOCSDIR%%/cmexpat/COPYING
-%%DOCSDIR%%/cmlibarchive/COPYING
-%%DOCSDIR%%/cmsys/Copyright.txt
-%%DOCSDIR%%/cmzlib/Copyright.txt
-%%DOCSDIR%%/cpack.docbook
-%%DOCSDIR%%/cpack.html
-%%DOCSDIR%%/cpack.txt
-%%DOCSDIR%%/ctest.docbook
-%%DOCSDIR%%/ctest.html
-%%DOCSDIR%%/ctest.txt
+%%PORTDOCS%%%%DOCSDIR%%/Copyright.txt
+%%PORTDOCS%%%%DOCSDIR%%/ccmake.docbook
+%%PORTDOCS%%%%DOCSDIR%%/ccmake.html
+%%PORTDOCS%%%%DOCSDIR%%/ccmake.txt
+%%PORTDOCS%%%%DOCSDIR%%/cmake-commands.html
+%%PORTDOCS%%%%DOCSDIR%%/cmake-commands.txt
+%%PORTDOCS%%%%DOCSDIR%%/cmake-compatcommands.html
+%%PORTDOCS%%%%DOCSDIR%%/cmake-compatcommands.txt
+%%PORTDOCS%%%%DOCSDIR%%/cmake-modules.html
+%%PORTDOCS%%%%DOCSDIR%%/cmake-modules.txt
+%%PORTDOCS%%%%DOCSDIR%%/cmake-policies.html
+%%PORTDOCS%%%%DOCSDIR%%/cmake-policies.txt
+%%PORTDOCS%%%%DOCSDIR%%/cmake-properties.html
+%%PORTDOCS%%%%DOCSDIR%%/cmake-properties.txt
+%%PORTDOCS%%%%DOCSDIR%%/cmake-variables.html
+%%PORTDOCS%%%%DOCSDIR%%/cmake-variables.txt
+%%PORTDOCS%%%%DOCSDIR%%/cmake.docbook
+%%PORTDOCS%%%%DOCSDIR%%/cmake.html
+%%PORTDOCS%%%%DOCSDIR%%/cmake.txt
+%%PORTDOCS%%%%DOCSDIR%%/cmcompress/Copyright.txt
+%%PORTDOCS%%%%DOCSDIR%%/cmcurl/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/cmexpat/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/cmlibarchive/COPYING
+%%PORTDOCS%%%%DOCSDIR%%/cmsys/Copyright.txt
+%%PORTDOCS%%%%DOCSDIR%%/cmzlib/Copyright.txt
+%%PORTDOCS%%%%DOCSDIR%%/cpack.docbook
+%%PORTDOCS%%%%DOCSDIR%%/cpack.html
+%%PORTDOCS%%%%DOCSDIR%%/cpack.txt
+%%PORTDOCS%%%%DOCSDIR%%/ctest.docbook
+%%PORTDOCS%%%%DOCSDIR%%/ctest.html
+%%PORTDOCS%%%%DOCSDIR%%/ctest.txt
 share/emacs/site-lisp/cmake-mode.el
-@dirrm %%DOCSDIR%%/cmzlib
-@dirrm %%DOCSDIR%%/cmsys
-@dirrm %%DOCSDIR%%/cmlibarchive
-@dirrm %%DOCSDIR%%/cmexpat
-@dirrm %%DOCSDIR%%/cmcurl
-@dirrm %%DOCSDIR%%/cmcompress
-@dirrm %%DOCSDIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/cmzlib
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/cmsys
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/cmlibarchive
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/cmexpat
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/cmcurl
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/cmcompress
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm %%DATADIR%%/include
 @dirrm %%DATADIR%%/editors/vim
 @dirrm %%DATADIR%%/editors/emacs
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Adam Weinberger freebsd_committer 2014-03-04 00:51:41 UTC
State Changed
From-To: open->closed

Committed, along with a PORTREVISION bump.